Name:           wttrbar
Version:        0.12.1
Release:        1%{?dist}
Summary:        Weather module for waybar, written in rust

License:        MIT

URL:            https://github.com/bjesus/wttrbar
Source:         https://github.com/bjesus/wttrbar/archive/refs/tags/%{version}.tar.gz

Requires: cascadia-mono-nf-fonts

BuildRequires: cargo-rpm-macros
BuildRequires: make
BuildRequires: gcc
BuildRequires: git

%description
Weather module for waybar, written in rust.

%prep
%autosetup -n wttrbar-%{version}

%__cargo vendor
%cargo_prep -v vendor

%build
%cargo_build

%install
install -Dpm 0755 -t %{buildroot}%{_bindir} target/release/wttrbar 

%files
%license LICENSE
%doc README.md
%{_bindir}/wttrbar

%changelog
%autochangelog
